.icon {
  fill: currentColor;
  box-sizing: content-box;
  display: inline-block;
  flex-shrink: 0;
  user-select: none;
  pointer-events: none;
}

.size-sm {
  height: 12px;
  width: 12px;
}

.size-md {
  height: 16px;
  width: 16px;
}

.size-lg {
  height: 24px;
  width: 24px;
}

.size-xl {
  height: 32px;
  width: 32px;
}

.size-custom {
  height: auto;
  width: auto;
}

.color_custom {
  color: var(--icon-color);

  &:hover{
    color: var(--icon-color--hover);
  }

  &:active{
    color: var(--icon-color--focus);
  }
}
